Skip to main content
PATCH
cURL

Авторизації

Authorization
string
header
обов'язково

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Параметри шляху

tableId
string
обов'язково

Тіло

application/json
ranges
number[][]
обов'язково

The parameter "ranges" is used to represent the coordinates of a selected range in a table.

Minimum array length: 1
Required array length: 2 elements
Приклад:
content
обов'язково

Content to paste

Приклад:

"John\tDoe\tjohn.doe@example.com"

viewId
string

Set the view you want to fetch, default is first view. result will filter and sort by view options.

Приклад:

"viwXXXXXXX"

ignoreViewQuery

When a viewId is specified, configure this to true will ignore the view's filter, sort, etc

filterByTql
string
застаріло
Приклад:

"{field} = 'Completed' AND {field} > 5"

filter
object

A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.

search

Search for records that match the specified field and value

Required array length: 1 element

Filter out the records that can be selected by a given link cell from the relational table. For example, if the specified field is one to many or one to one relationship, recordId for which the field has already been selected will not appear.

Required array length: 2 elements
Приклад:

Filter out selected records based on this link cell from the relational table. Note that viewId, filter, and orderBy will not take effect in this case because selected records has it own order. Ignoring recordId gets all the selected records for the field

Required array length: 2 elements
Приклад:
selectedRecordIds
string[]

Filter selected records by record ids

orderBy
array

An array of sort objects that specifies how the records should be ordered.

groupBy
object[] | null
collapsedGroupIds
string[]
queryId
string

When provided, other query parameters will be merged with the saved ones.

Приклад:

"qry_xxxxxxxx"

projection
string[]

If you want to get only some fields, pass in this parameter, otherwise all visible fields will be obtained

type
enum<string>

Types of non-contiguous selections

Доступні опції:
rows,
columns
Приклад:

"columns"

header
object[]

Table header for paste operation

Приклад:

Відповідь

200 - application/json

Paste successfully

ranges
number[][]
обов'язково
Required array length: 2 elements
Required array length: 2 elements
Останнє оновлення 4 вересня 2026 р.